Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4444)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4450)
@@ -1086,5 +1089,5 @@
          TRIM( surface_type ) /= 'pavement'    .AND.                           &
          TRIM( surface_type ) /= 'water'       .AND.                           &
-         TRIM( surface_type ) /= 'netcdf' )  THEN  
+         TRIM( surface_type ) /= 'netcdf' )  THEN
        message_string = 'unknown surface type: surface_type = "' //            &
                         TRIM( surface_type ) // '"'
@@ -1108,5 +1111,5 @@
        CALL message( 'lsm_check_parameters', 'PA0400', 1, 2, 0, 6, 0 )
     ENDIF
-    
+
     IF (  .NOT.  radiation )  THEN
        message_string = 'lsm requires '//                                      &
@@ -1142,5 +1145,5 @@
     ENDIF
 !
-!-- Check if vegetation types are set within a valid range.    
+!-- Check if vegetation types are set within a valid range.
     IF ( TRIM( surface_type ) == 'vegetation' )  THEN
        IF ( vegetation_type < LBOUND( vegetation_pars, 2 )  .AND.              &
@@ -1162,5 +1165,5 @@
                                         'the valid range at (j,i) = ', j, i
                    CALL message( 'lsm_check_parameters', 'PA0526',             &
-                                  2, 2, myid, 6, 0 ) 
+                                  2, 2, myid, 6, 0 )
                 ENDIF
              ENDDO
@@ -1169,5 +1172,5 @@
     ENDIF
 !
-!-- Check if pavement types are set within a valid range.    
+!-- Check if pavement types are set within a valid range.
     IF ( TRIM( surface_type ) == 'pavement' )  THEN
        IF ( pavement_type < LBOUND( pavement_pars, 2 )  .AND.                  &
@@ -1188,5 +1191,5 @@
                                         'the valid range at (j,i) = ', j, i
                    CALL message( 'lsm_check_parameters', 'PA0527',             &
-                                  2, 2, myid, 6, 0 ) 
+                                  2, 2, myid, 6, 0 )
                 ENDIF
              ENDDO
@@ -1195,5 +1198,5 @@
     ENDIF
 !
-!-- Check if water types are set within a valid range.    
+!-- Check if water types are set within a valid range.
     IF ( TRIM( surface_type ) == 'water' )  THEN
        IF ( water_type < LBOUND( water_pars, 2 )  .AND.                        &
@@ -1214,5 +1217,5 @@
                                         'the valid range at (j,i) = ', j, i
                    CALL message( 'lsm_check_parameters', 'PA0528',             &
-                                 2, 2, myid, 6, 0 ) 
+                                 2, 2, myid, 6, 0 )
                 ENDIF
              ENDDO
@@ -1223,5 +1226,5 @@
 !-- Check further settings for consistency.
     IF ( TRIM( surface_type ) == 'vegetation' )  THEN
-    
+
        IF ( vegetation_type == 0 )  THEN
           IF ( min_canopy_resistance == 9999999.9_wp )  THEN
@@ -1297,11 +1300,11 @@
           ENDIF
        ENDIF
-  
+
     ENDIF
-    
+
     IF ( TRIM( surface_type ) == 'water' )  THEN
 
-       IF ( water_type == 0 )  THEN  
-       
+       IF ( water_type == 0 )  THEN
+
           IF ( z0_water == 9999999.9_wp )  THEN
              message_string = 'water_type = 0 (user_defined)'//                &
@@ -1317,5 +1320,5 @@
              CALL message( 'lsm_check_parameters', 'PA0392', 1, 2, 0, 6, 0 )
           ENDIF
-          
+
           IF ( water_temperature == 9999999.9_wp )  THEN
              message_string = 'water_type = 0 (user_defined)'//                &
@@ -1323,10 +1326,10 @@
                               '/= 9999999.9'
              CALL message( 'lsm_check_parameters', 'PA0379', 1, 2, 0, 6, 0 )
-          ENDIF       
-          
+          ENDIF
+
        ENDIF
-       
+
     ENDIF
-    
+
     IF ( TRIM( surface_type ) == 'pavement' )  THEN
 
@@ -1337,6 +1340,6 @@
        ENDIF
 
-       IF ( pavement_type == 0 )  THEN  
-       
+       IF ( pavement_type == 0 )  THEN
+
           IF ( z0_pavement == 9999999.9_wp )  THEN
              message_string = 'pavement_type = 0 (user_defined)'//             &
@@ -1345,5 +1348,5 @@
              CALL message( 'lsm_check_parameters', 'PA0352', 1, 2, 0, 6, 0 )
           ENDIF
-          
+
           IF ( z0h_pavement == 9999999.9_wp )  THEN
              message_string = 'pavement_type = 0 (user_defined)'//             &
@@ -1352,5 +1355,5 @@
              CALL message( 'lsm_check_parameters', 'PA0353', 1, 2, 0, 6, 0 )
           ENDIF
-          
+
           IF ( pavement_heat_conduct == 9999999.9_wp )  THEN
              message_string = 'pavement_type = 0 (user_defined)'//             &
@@ -1358,6 +1361,6 @@
                               '/= 9999999.9'
              CALL message( 'lsm_check_parameters', 'PA0342', 1, 2, 0, 6, 0 )
-          ENDIF 
-          
+          ENDIF
+
            IF ( pavement_heat_capacity == 9999999.9_wp )  THEN
              message_string = 'pavement_type = 0 (user_defined)'//             &
@@ -1365,5 +1368,5 @@
                               '/= 9999999.9'
              CALL message( 'lsm_check_parameters', 'PA0139', 1, 2, 0, 6, 0 )
-          ENDIF 
+          ENDIF
 
           IF ( pavement_depth_level == 0 )  THEN
@@ -1372,22 +1375,21 @@
                               '/= 0'
              CALL message( 'lsm_check_parameters', 'PA0474', 1, 2, 0, 6, 0 )
-          ENDIF 
-
-       ENDIF 
-    
+          ENDIF
+
+       ENDIF
+
     ENDIF
 
     IF ( TRIM( surface_type ) == 'netcdf' )  THEN
-!
-!--    MS: Some problme here, after calling message everythings stucks at
-!--        MPI_FINALIZE call. 
-       IF ( ANY( pavement_type_f%var /= pavement_type_f%fill )  .AND.           &
-            ANY( dz_soil /= 9999999.9_wp ) )  THEN
-          message_string = 'pavement-surfaces are not allowed in ' //           &
-                           'combination with a non-default setting of dz_soil'
-          CALL message( 'lsm_check_parameters', 'PA0316', 2, 2, 0, 6, 0 )
+       IF ( pavement_type_f%from_file )  THEN
+          IF ( ANY( pavement_type_f%var /= pavement_type_f%fill )  .AND.       &
+               ANY( dz_soil /= 9999999.9_wp ) )  THEN
+             message_string = 'pavement-surfaces are not allowed in ' //       &
+                              'combination with a non-default setting of dz_soil'
+             CALL message( 'lsm_check_parameters', 'PA0316', 2, 2, 0, 6, 0 )
+          ENDIF
        ENDIF
     ENDIF
-    
+
 !
 !-- Temporary message as long as NetCDF input is not available
@@ -1457,7 +1459,4 @@
 
     ENDIF
-
-
-!!! these checks are not needed for water surfaces??
 
 !
@@ -1474,14 +1473,14 @@
              nzt_soil = nzt_soil + 1
           ENDIF
-       ENDDO    
+       ENDDO
     ENDIF
     nzs = nzt_soil + 1
 
 !
-!-- Check whether valid soil temperatures are prescribed. Only check this if 
+!-- Check whether valid soil temperatures are prescribed. Only check this if
 !-- no dynamic soil is not initialized with dynamic input.
-!-- In a nested case, check whether there is a dynamic input file for the 
+!-- In a nested case, check whether there is a dynamic input file for the
 !-- child (input_pids_dynamic = .T.) or one for the parent (inquire without
-!-- coupling_char. 
+!-- coupling_char.
     INQUIRE( FILE = TRIM( input_file_dynamic ),                                &
              EXIST = dynamic_soil_input_parent )
@@ -1518,5 +1517,5 @@
 !
 !-- Calculate grid spacings. Temperature and moisture are defined at
-!-- the center of the soil layers, whereas gradients/fluxes are 
+!-- the center of the soil layers, whereas gradients/fluxes are
 !-- defined at the edges (_layer)
 !
@@ -1538,5 +1537,5 @@
     dz_soil(nzt_soil+1) = zs_layer(nzt_soil) + dz_soil(nzt_soil)
     zs(nzt_soil+1) = zs_layer(nzt_soil) + 0.5_wp * dz_soil(nzt_soil)
- 
+
     DO  k = nzb_soil, nzt_soil-1
        dz_soil_center(k) = zs(k+1) - zs(k)
@@ -1545,9 +1544,9 @@
                            '(dz_soil_center(k) <= 0.0)'
           CALL message( 'lsm_check_parameters', 'PA0140', 1, 2, 0, 6, 0 )
-       ENDIF  
+       ENDIF
     ENDDO
-  
+
     dz_soil_center(nzt_soil) = zs_layer(k-1) + dz_soil(k) - zs(nzt_soil)
-       
+
     ddz_soil_center = 1.0_wp / dz_soil_center
     ddz_soil(nzb_soil:nzt_soil) = 1.0_wp / dz_soil(nzb_soil:nzt_soil)
@@ -1556,5 +1555,5 @@
 
  END SUBROUTINE lsm_check_parameters
- 
+
 !------------------------------------------------------------------------------!
 ! Description:
@@ -1645,6 +1644,6 @@
 
 !
-!-- Index offset of surface element point with respect to adjoining 
-!-- atmospheric grid point 
+!-- Index offset of surface element point with respect to adjoining
+!-- atmospheric grid point
     k_off = surf%koff
     j_off = surf%joff
@@ -1658,5 +1657,5 @@
     DO  m = 1, surf%ns
 
-       i   = surf%i(m)            
+       i   = surf%i(m)
        j   = surf%j(m)
        k   = surf%k(m)
@@ -1667,8 +1666,8 @@
 !--    parameterization uses a combination of two conductivities: a constant
 !--    conductivity for the skin layer, and a conductivity according to the
-!--    uppermost soil layer. For bare soil and pavements, no skin layer is 
-!--    applied. In these cases, the temperature is assumed to be constant 
-!--    between the surface and the first soil layer. The heat conductivity is 
-!--    then derived from the soil/pavement properties. 
+!--    uppermost soil layer. For bare soil and pavements, no skin layer is
+!--    applied. In these cases, the temperature is assumed to be constant
+!--    between the surface and the first soil layer. The heat conductivity is
+!--    then derived from the soil/pavement properties.
 !--    For water surfaces, the conductivity is already set to 1E10.
 !--    Moreover, the heat capacity is set. For bare soil the heat capacity is
@@ -1684,8 +1683,8 @@
           lambda_h_sat = lambda_h_sm**(1.0_wp - surf%m_sat(nzb_soil,m)) *      &
                          lambda_h_water ** surf_m_soil%var_2d(nzb_soil,m)
-                         
+
           ke = 1.0_wp + LOG10( MAX( 0.1_wp, surf_m_soil%var_2d(nzb_soil,m) /   &
-                                                     surf%m_sat(nzb_soil,m) ) )                   
-                         
+                                                     surf%m_sat(nzb_soil,m) ) )
+
           lambda_soil = (ke * (lambda_h_sat - lambda_h_dry) + lambda_h_dry )   &
                            * ddz_soil(nzb_soil) * 2.0_wp
@@ -1695,8 +1694,8 @@
 !--       a heat capacity is that of the soil layer, otherwise it is a
 !--       combination of the conductivities from the skin and the soil layer
-          IF ( surf%lambda_surface_s(m) == 0.0_wp )  THEN 
+          IF ( surf%lambda_surface_s(m) == 0.0_wp )  THEN
             surf%c_surface(m) = (rho_c_soil * (1.0_wp - surf%m_sat(nzb_soil,m))&
                               + rho_c_water * surf_m_soil%var_2d(nzb_soil,m) ) &
-                              * dz_soil(nzb_soil) * 0.5_wp    
+                              * dz_soil(nzb_soil) * 0.5_wp
             lambda_surface = lambda_soil
 
@@ -1717,5 +1716,5 @@
 !--    Set heat capacity of the skin/surface. It is ususally zero when a skin
 !--    layer is used, and non-zero otherwise.
-       c_surface_tmp = surf%c_surface(m) 
+       c_surface_tmp = surf%c_surface(m)
 
 !
@@ -1729,5 +1728,5 @@
 !        ELSEIF ( cloud_droplets ) THEN
 !           pt1 = pt(k,j,i) + lv_d_cp * d_exner(k) * ql(k,j,i)
-!           qv1 = q(k,j,i) 
+!           qv1 = q(k,j,i)
 !        ELSE
 !           pt1 = pt(k,j,i)
@@ -1743,13 +1742,13 @@
 !--     heat transfer coefficient for forced convection along vertical walls
 !--     follows formulation in TUF3d model (Krayenhoff & Voogt, 2006)
-!--            
+!--
 !--       H = httc (Tsfc - Tair)
 !--       httc = rw * (11.8 + 4.2 * Ueff) - 4.0
-!--            
+!--
 !--             rw: wall patch roughness relative to 1.0 for concrete
 !--             Ueff: effective wind speed
 !--             - 4.0 is a reduction of Rowley et al (1930) formulation based on
 !--             Cole and Sturrock (1977)
-!--           
+!--
 !--             Ucan: Canyon wind speed
 !--             wstar: convective velocity
@@ -1757,7 +1756,7 @@
 !--             zH: height of the convective layer
 !--             wstar = (g/Tcan*Qs*zH)**(1./3.)
-                
-!--    Effective velocity components must always 
-!--    be defined at scalar grid point. The wall normal component is 
+
+!--    Effective velocity components must always
+!--    be defined at scalar grid point. The wall normal component is
 !--    obtained by simple linear interpolation. ( An alternative would
 !--    be an logarithmic interpolation. )
@@ -1765,7 +1764,7 @@
 !--    1000 is used in the nominator for scaling)
 !--    To do: detailed investigation which approach gives more reliable results!
-!--    Please note, in case of very small friction velocity, e.g. in little 
-!--    holes, the resistance can become negative. For this reason, limit r_a 
-!--    to positive values. 
+!--    Please note, in case of very small friction velocity, e.g. in little
+!--    holes, the resistance can become negative. For this reason, limit r_a
+!--    to positive values.
        IF ( horizontal  .OR.  .NOT. aero_resist_kray )  THEN
           surf%r_a(m) = ABS( ( surf%pt1(m) - surf%pt_surface(m) ) /            &
@@ -1778,17 +1777,17 @@
                                    ( ( w(k,j,i) + w(k-1,j,i) ) * 0.5_wp )**2,  &
                               0.01_wp ) )                                      &
-                           )  - 4.0_wp  ) 
+                           )  - 4.0_wp  )
        ENDIF
 !
-!--    Make sure that the resistance does not drop to zero for neutral 
+!--    Make sure that the resistance does not drop to zero for neutral
 !--    stratification. Also, set a maximum resistance to avoid the breakdown of
 !--    MOST for locations with zero wind speed
        IF ( surf%r_a(m) <   1.0_wp )  surf%r_a(m) =   1.0_wp
-       IF ( surf%r_a(m) > 300.0_wp )  surf%r_a(m) = 300.0_wp       
+       IF ( surf%r_a(m) > 300.0_wp )  surf%r_a(m) = 300.0_wp
 !
 !--    Second step: calculate canopy resistance r_canopy
 !--    f1-f3 here are defined as 1/f1-f3 as in ECMWF documentation
- 
-!--    f1: correction for incoming shortwave radiation (stomata close at 
+
+!--    f1: correction for incoming shortwave radiation (stomata close at
 !--    night)
        f1 = MIN( 1.0_wp, ( 0.004_wp * surf%rad_sw_in(m) + 0.05_wp ) /          &
@@ -1797,5 +1796,5 @@
 
 !
-!--    f2: correction for soil moisture availability to plants (the 
+!--    f2: correction for soil moisture availability to plants (the
 !--    integrated soil moisture must thus be considered here)
 !--    f2 = 0 for very dry soils
@@ -1804,5 +1803,5 @@
            m_total = m_total + surf%root_fr(ks,m)                              &
                      * MAX( surf_m_soil%var_2d(ks,m), surf%m_wilt(ks,m) )
-       ENDDO 
+       ENDDO
 
 !
@@ -1854,11 +1853,11 @@
 
        surf%r_soil(m) = surf%r_soil_min(m) / f2
-       
+
 !
 !--    Calculate the maximum possible liquid water amount on plants and
 !--    bare surface. For vegetated surfaces, a maximum depth of 0.2 mm is
-!--    assumed, while paved surfaces might hold up 1 mm of water. The 
-!--    liquid water fraction for paved surfaces is calculated after 
-!--    Masson (2000) (TEB model) and originates from Noilhan & Planton (1989), 
+!--    assumed, while paved surfaces might hold up 1 mm of water. The
+!--    liquid water fraction for paved surfaces is calculated after
+!--    Masson (2000) (TEB model) and originates from Noilhan & Planton (1989),
 !--    while the ECMWF formulation is used for vegetated surfaces and bare soils.
        IF ( surf%pavement_surface(m) )  THEN
@@ -1882,5 +1881,5 @@
 
 !
-!--    Calculate coefficients for the total evapotranspiration 
+!--    Calculate coefficients for the total evapotranspiration
 !--    In case of water surface, set vegetation and soil fluxes to zero.
 !--    For pavements, only evaporation of liquid water is possible.
@@ -1914,5 +1913,5 @@
 !
 !--    Calculate net radiation radiation without longwave outgoing flux because
-!--    it has a dependency on surface temperature and thus enters the prognostic 
+!--    it has a dependency on surface temperature and thus enters the prognostic
 !--    equations directly
        surf%rad_net_l(m) = surf%rad_sw_in(m) - surf%rad_sw_out(m)              &
@@ -1953,5 +1952,5 @@
        surf_t_surface_p%var_1d(m) = ( coef_1 * dt_3d * tsc(2) + c_surface_tmp *&
                           surf_t_surface%var_1d(m) ) / ( c_surface_tmp + coef_2&
-                                             * dt_3d * tsc(2) ) 
+                                             * dt_3d * tsc(2) )
 
 !
@@ -1985,5 +1984,5 @@
 !--    especially when setting skip_time_do_radiation /= 0. The threshold
 !--    value of 0.2 used here is just a first guess. This method should be
-!--    revised in the future as tests have shown that the threshold is 
+!--    revised in the future as tests have shown that the threshold is
 !--    often reached, when no oscillations would occur (causes immense
 !--    computing time for the radiation code).
@@ -2050,5 +2049,5 @@
        ENDIF
 !
-!--    Calculate change in liquid water reservoir due to dew fall or 
+!--    Calculate change in liquid water reservoir due to dew fall or
 !--    evaporation of liquid water
        IF ( humidity )  THEN
@@ -2062,5 +2061,5 @@
 !--          Add precipitation to liquid water reservoir, if possible.
 !--          Otherwise, add the water to soil. In case of
-!--          pavements, the exceeding water amount is explicitly removed 
+!--          pavements, the exceeding water amount is explicitly removed
 !--          (as fictive runoff by drainage systems)
              IF ( surf%pavement_surface(m) )  THEN
@@ -2070,5 +2069,5 @@
                                  * hyrho(k+k_off)                              &
                                  * 0.001_wp * rho_l * l_v
-                ENDIF         
+                ENDIF
              ELSE
                 IF ( surf_m_liq%var_1d(m) < m_liq_max )  THEN
@@ -2080,5 +2079,5 @@
                                  surf%c_veg(m) ) * prr(k+k_off,j+j_off,i+i_off)&
                                  * hyrho(k+k_off)                              &
-                                 * 0.001_wp * rho_l * l_v                                 
+                                 * 0.001_wp * rho_l * l_v
                 ELSE
 
@@ -2101,5 +2100,5 @@
 !--          Check if reservoir is full (avoid values > m_liq_max)
 !--          In that case, qsws_liq goes to qsws_soil for pervious surfaces. In
-!--          this case qsws_veg is zero anyway (because c_liq = 1),       
+!--          this case qsws_veg is zero anyway (because c_liq = 1),
 !--          so that tend is zero and no further check is needed
              IF ( surf_m_liq%var_1d(m) == m_liq_max )  THEN
@@ -2111,5 +2110,5 @@
 
 !
-!--          In case qsws_veg becomes negative (unphysical behavior), 
+!--          In case qsws_veg becomes negative (unphysical behavior),
 !--          let the water enter the liquid water reservoir as dew on the
 !--          plant
@@ -2118,8 +2117,8 @@
                 surf%qsws_veg(m) = 0.0_wp
              ENDIF
-          ENDIF                    
- 
+          ENDIF
+
           surf%qsws(m) = surf%qsws(m) / l_v
- 
+
           tend = - surf%qsws_liq(m) * drho_l_lv
           surf_m_liq_p%var_1d(m) = surf_m_liq%var_1d(m) + dt_3d *              &
@@ -2176,5 +2175,5 @@
 !-- Calculate new roughness lengths (for water surfaces only)
     IF ( horizontal  .AND.  .NOT. constant_roughness )  CALL calc_z0_water_surface
-    
+
     IF ( debug_output_timestep )  THEN
        WRITE( debug_string, * ) 'lsm_energy_balance', horizontal, l
@@ -2202,10 +2201,10 @@
        DO  m = 1, surf%ns
 
-          i   = surf%i(m)            
+          i   = surf%i(m)
           j   = surf%j(m)
           k   = surf%k(m)
 !
 !--       Calculate water vapour pressure at saturation and convert to hPa
-          e_s = 0.01_wp * magnus( MIN(surf_t_surface_p%var_1d(m), 333.15_wp) )                   
+          e_s = 0.01_wp * magnus( MIN(surf_t_surface_p%var_1d(m), 333.15_wp) )
 
 !
@@ -2226,5 +2225,5 @@
                                           q(k,j,i)
           ENDIF
-          
+
           surf%q_surface(m) = q(k+k_off,j+j_off,i+i_off)
 !
@@ -2233,14 +2232,14 @@
                                   ( 1.0_wp + 0.61_wp * surf%q_surface(m) )
 
-        
-                     
+
+
        ENDDO
        !$OMP END PARALLEL
-  
+
     END SUBROUTINE calc_q_surface
-       
+
  END SUBROUTINE lsm_energy_balance
-    
-   
+
+
 
 !------------------------------------------------------------------------------!
@@ -2260,13 +2259,13 @@
        CHARACTER (LEN=86) ::  soil_depth_chr      !< String for soil depth
        CHARACTER (LEN=20) ::  coor_chr            !< Temporary string
-    
+
        INTEGER(iwp) ::  i                         !< Loop index over soil layers
- 
+
        INTEGER(iwp), INTENT(IN) ::  io            !< Unit of the output file
- 
+
        t_soil_chr = ''
        m_soil_chr    = ''
-       soil_depth_chr  = '' 
-       roots_chr        = '' 
+       soil_depth_chr  = ''
+       roots_chr        = ''
        vertical_index_chr   = ''
 
@@ -2313,5 +2312,5 @@
 2   FORMAT ('    --> Soil bottom is closed (water content is conserved',       &
             ', default)')
-3   FORMAT ('    --> Soil bottom is open (water content is not conserved)')         
+3   FORMAT ('    --> Soil bottom is open (water content is not conserved)')
 4   FORMAT ('    --> Land surface type  : ',A,/                                &
             '    --> Soil porosity type : ',A)
@@ -2346,8 +2345,8 @@
         ONLY:  pmc_is_rootmodel
 #endif
-           
+
        USE pmc_interface,                                                      &
            ONLY:  nested_run
-    
+
        IMPLICIT NONE
 
@@ -2362,5 +2361,5 @@
        INTEGER(iwp) ::  m                       !< running index
        INTEGER(iwp) ::  st                      !< soil-type index
-       INTEGER(iwp) ::  n_soil_layers_total     !< temperature variable, stores the total number of soil layers + 4 
+       INTEGER(iwp) ::  n_soil_layers_total     !< temperature variable, stores the total number of soil layers + 4
 #if defined( __parallel )
        INTEGER(iwp) ::  nzs_root                !< number of soil layers in root domain (used in case soil data needs to be
@@ -2374,5 +2373,5 @@
 
 #if defined( __parallel )
-       REAL(wp), DIMENSION(:), ALLOCATABLE ::  m_soil_root    !< domain-averaged soil moisture profile in root domain 
+       REAL(wp), DIMENSION(:), ALLOCATABLE ::  m_soil_root    !< domain-averaged soil moisture profile in root domain
        REAL(wp), DIMENSION(:), ALLOCATABLE ::  t_soil_root    !< domain-averaged soil temperature profile in root domain
 #endif
@@ -2467,5 +2466,5 @@
        ALLOCATE ( surf_lsm_h%rho_c_total_def(nzb_soil:nzt_soil,1:surf_lsm_h%ns) )
        ALLOCATE ( surf_lsm_h%root_fr(nzb_soil:nzt_soil,1:surf_lsm_h%ns)     )
-    
+
        surf_lsm_h%lambda_h     = 0.0_wp
 !
@@ -2473,7 +2472,7 @@
        IF ( humidity )  THEN
           ALLOCATE ( surf_lsm_h%lambda_w(nzb_soil:nzt_soil,1:surf_lsm_h%ns) )
-          ALLOCATE ( surf_lsm_h%gamma_w(nzb_soil:nzt_soil,1:surf_lsm_h%ns)  )  
-
-          surf_lsm_h%lambda_w = 0.0_wp 
+          ALLOCATE ( surf_lsm_h%gamma_w(nzb_soil:nzt_soil,1:surf_lsm_h%ns)  )
+
+          surf_lsm_h%lambda_w = 0.0_wp
        ENDIF
 !
@@ -2490,28 +2489,28 @@
           ALLOCATE ( surf_lsm_v(l)%m_wilt(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns)      )
           ALLOCATE ( surf_lsm_v(l)%n_vg(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns)        )
-          ALLOCATE ( surf_lsm_v(l)%rho_c_total(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns) )  
-          ALLOCATE ( surf_lsm_v(l)%rho_c_total_def(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns) )  
+          ALLOCATE ( surf_lsm_v(l)%rho_c_total(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns) )
+          ALLOCATE ( surf_lsm_v(l)%rho_c_total_def(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns) )
           ALLOCATE ( surf_lsm_v(l)%root_fr(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns)     )
 
-          surf_lsm_v(l)%lambda_h     = 0.0_wp 
-          
+          surf_lsm_v(l)%lambda_h     = 0.0_wp
+
 !
 !--       If required, allocate humidity-related variables for the soil model
           IF ( humidity )  THEN
              ALLOCATE ( surf_lsm_v(l)%lambda_w(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns) )
-             ALLOCATE ( surf_lsm_v(l)%gamma_w(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns)  )  
-
-             surf_lsm_v(l)%lambda_w = 0.0_wp 
-          ENDIF     
+             ALLOCATE ( surf_lsm_v(l)%gamma_w(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns)  )
+
+             surf_lsm_v(l)%lambda_w = 0.0_wp
+          ENDIF
        ENDDO
 !
-!--    Allocate albedo type and emissivity for vegetation, water and pavement 
+!--    Allocate albedo type and emissivity for vegetation, water and pavement
 !--    fraction.
-!--    Set default values at each surface element. 
+!--    Set default values at each surface element.
        ALLOCATE ( surf_lsm_h%albedo_type(1:surf_lsm_h%ns,0:2) )
        ALLOCATE ( surf_lsm_h%emissivity(1:surf_lsm_h%ns,0:2) )
 !
 !--    Initialize albedo type according to its default type, in order to set values
-!--    independent on default albedo_type in radiation model. 
+!--    independent on default albedo_type in radiation model.
        surf_lsm_h%albedo_type(:,ind_veg_wall)  =                               &
                              INT( vegetation_pars(ind_v_at,vegetation_type) )
@@ -2525,6 +2524,6 @@
           ALLOCATE ( surf_lsm_v(l)%emissivity(1:surf_lsm_v(l)%ns,0:2)  )
 !
-!--       Initialize albedo type according to its default type, in order to 
-!--       set values independent on default albedo_type in radiation model. 
+!--       Initialize albedo type according to its default type, in order to
+!--       set values independent on default albedo_type in radiation model.
           surf_lsm_v(l)%albedo_type(:,ind_veg_wall)  =                         &
                              INT( vegetation_pars(ind_v_at,vegetation_type) )
@@ -2536,5 +2535,5 @@
        ENDDO
 !
-!--    Allocate arrays for relative surface fraction. 
+!--    Allocate arrays for relative surface fraction.
 !--    0 - vegetation fraction, 2 - water fraction, 1 - pavement fraction
        ALLOCATE( surf_lsm_h%frac(1:surf_lsm_h%ns,0:2) )
@@ -2546,5 +2545,5 @@
 !
 !--    For vertical walls only - allocate special flag indicating if any building is on
-!--    top of any natural surfaces. Used for initialization only. 
+!--    top of any natural surfaces. Used for initialization only.
        DO  l = 0, 3
           ALLOCATE( surf_lsm_v(l)%building_covered(1:surf_lsm_v(l)%ns) )
@@ -2556,42 +2555,42 @@
        ALLOCATE( surf_lsm_h%vegetation_type(1:surf_lsm_h%ns) )
        ALLOCATE( surf_lsm_h%water_type(1:surf_lsm_h%ns)      )
-       
+
        surf_lsm_h%pavement_type   = 0
        surf_lsm_h%vegetation_type = 0
        surf_lsm_h%water_type      = 0
-       
+
        ALLOCATE( surf_lsm_h%pavement_type_name(1:surf_lsm_h%ns)   )
        ALLOCATE( surf_lsm_h%vegetation_type_name(1:surf_lsm_h%ns) )
        ALLOCATE( surf_lsm_h%water_type_name(1:surf_lsm_h%ns)      )
-       
+
        surf_lsm_h%pavement_type_name   = 'none'
        surf_lsm_h%vegetation_type_name = 'none'
        surf_lsm_h%water_type_name      = 'none'
-       
+
        DO  l = 0, 3
           ALLOCATE( surf_lsm_v(l)%pavement_type(1:surf_lsm_v(l)%ns)   )
           ALLOCATE( surf_lsm_v(l)%vegetation_type(1:surf_lsm_v(l)%ns) )
           ALLOCATE( surf_lsm_v(l)%water_type(1:surf_lsm_v(l)%ns)      )
-          
+
           surf_lsm_v(l)%pavement_type   = 0
           surf_lsm_v(l)%vegetation_type = 0
           surf_lsm_v(l)%water_type      = 0
-       
+
           ALLOCATE( surf_lsm_v(l)%pavement_type_name(1:surf_lsm_v(l)%ns)   )
           ALLOCATE( surf_lsm_v(l)%vegetation_type_name(1:surf_lsm_v(l)%ns) )
           ALLOCATE( surf_lsm_v(l)%water_type_name(1:surf_lsm_v(l)%ns)      )
-       
+
           surf_lsm_v(l)%pavement_type_name   = 'none'
           surf_lsm_v(l)%vegetation_type_name = 'none'
-          surf_lsm_v(l)%water_type_name      = 'none'       
+          surf_lsm_v(l)%water_type_name      = 'none'
        ENDDO
-       
-!
-!--    Set flag parameter for the prescribed surface type depending on user 
+
+!
+!--    Set flag parameter for the prescribed surface type depending on user
 !--    input. Set surface fraction to 1 for the respective type.
        SELECT CASE ( TRIM( surface_type ) )
-          
+
           CASE ( 'vegetation' )
-         
+
              surf_lsm_h%vegetation_surface = .TRUE.
              surf_lsm_h%frac(:,ind_veg_wall) = 1.0_wp
@@ -2600,12 +2599,12 @@
                 surf_lsm_v(l)%frac(:,ind_veg_wall) = 1.0_wp
              ENDDO
-   
+
           CASE ( 'water' )
-             
+
              surf_lsm_h%water_surface = .TRUE.
              surf_lsm_h%frac(:,ind_wat_win) = 1.0_wp
 !
 !--          Note, vertical water surface does not really make sense.
-             DO  l = 0, 3  
+             DO  l = 0, 3
                 surf_lsm_v(l)%water_surface   = .TRUE.
                 surf_lsm_v(l)%frac(:,ind_wat_win) = 1.0_wp
@@ -2613,5 +2612,5 @@
 
           CASE ( 'pavement' )
-             
+
              surf_lsm_h%pavement_surface = .TRUE.
                 surf_lsm_h%frac(:,ind_pav_green) = 1.0_wp
